{% extends "customers/base.html" %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Editar Item{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'item-list' %}">Items</a></li>
    <li class="breadcrumb-item"><a href="{% url 'item-detail' pk=item.pk %}">{{ item.pk }}</a></li>
    <li class="breadcrumb-item active">Editar Item</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ item.name }}</h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Editar Item</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<br>
        <div class="row mb-3">
          <div class="col-sm-12 col-md-12">
            <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
            <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
          </div>
        </div>
        <form id="item-form" method="post">
          {% csrf_token %}
          {{ form.media }}
        <div class="row">
          <div class="panel-form col-xs-12 col-sm-6">
            <div class="tab-content">
              <div id="general" role="tabpanel" class="tab-pane active">
                <div class="form-group row m-b-15">
                  <label for="id_name" class="col-form-label col-md-4">Nombre</label>
                  <div class="col-sm-8">
                    {% render_field form.name class="form-control m-b-5" %}
                    {% for error in form.name.errors %}
                    <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>

                <div class="form-group row m-b-15">
                  <label for="id_sign" class="col-form-label col-md-4">Signo</label>
                  <div class="col-sm-8">
                    {% render_field form.sign class="form-control m-b-5" %}
                    {% for error in form.sign.errors %}
                    <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>

                <div class="form-group row m-b-15">
                  <label for="id_description" class="col-form-label col-md-4">Descripción</label>
                  <div class="col-sm-8">
                    {% render_field form.description class="form-control m-b-5" %}
                    {% for error in form.description.errors %}
                    <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>

                <div class="form-group row m-b-15">
                  <label for="id_company" class="col-form-label col-md-4">Empresa</label>
                  <div class="col-sm-8">
                    {% render_field form.company class="form-control m-b-5" %}
                    {% for error in form.company.errors %}
                    <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>

                <div class="form-group row m-b-15">
                  <label for="id_porcentage" class="col-form-label col-md-4">Factor Multiplicativo <div data-toggle="tooltip" title='Monto del bono se calcula: (F.Multiplicativo)*(Sueldo)+(F.Sumativo)' class="fas fa-info-circle" style="text-align: right"></div></label>
                  <div class="col-sm-8">
                    {% render_field form.multiplicative class="form-control m-b-5" %}
                    {% for error in form.multiplicative.errors %}
                    <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>

                <div class="form-group row m-b-15">
                  <label for="id_fixed_amount" class="col-form-label col-md-4">Factor Sumativo <div data-toggle="tooltip" title='Monto del bono se calcula: (F.Multiplicativo)*(Sueldo)+(F.Sumativo)' class="fas fa-info-circle" style="text-align: right"></div></label>
                  <div class="col-sm-8">
                    {% render_field form.sumative class="form-control m-b-5" %}
                    {% for error in form.sumative.errors %}
                    <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>

                
              </div>
            </div>
        </div>
          <div class="panel-form col-xs-12 col-sm-6">
              <div class="tab-content">
                  <div class="form-group row m-b-15">
                    <label for="id_gender" class="col-form-label col-md-4">Género</label>
                    <div class="col-sm-8">
                      {% render_field form.gender class="form-control m-b-5" %}
                      {% for error in form.gender.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_position" class="col-form-label col-md-4">Posición</label>
                    <div class="col-sm-8">
                      {% render_field form.position class="form-control m-b-5" %}
                      {% for error in form.position.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_department" class="col-form-label col-md-4">Departamento</label>
                    <div class="col-sm-8">
                      {% render_field form.department class="form-control m-b-5" %}
                      {% for error in form.department.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_min_duration" class="col-form-label col-md-4">Minima duración (meses)</label>
                    <div class="col-sm-8">
                      {% render_field form.min_duration class="form-control m-b-5" %}
                      {% for error in form.min_duration.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_active" class="col-sm-4 control-label">Activo</label>
                    <div class="col-sm-8">
                      {% render_field form.active %}
                      {% for error in form.active.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <br>
                  <div>* Mantenga presionado Control o Command para selección múltiple</div>
            <!-- Shipping tab -->
                </div>
          </div>
				</div>
      </form>

           
                
            <!-- Shipping tab -->
            <div id="shipping" role="tabpanel" class="tab-pane"></div>
        </div>
        </div>
				<!-- end panel-body -->
      </div>
			<!-- end panel -->
    </div>    
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
  

{% endblock %}

{% block pageleveljs %}
  <script src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js' %}"></script>
  <script type="text/javascript">
    $(document).ready(function(){
      $(".datepicker").datepicker({format: 'dd/mm/yyyy'});

      // save and cancel buttons
      $('#save-button').click(function() {
        $('#item-form').submit();
      });
      $('#cancel-button').click(function() {
        window.location.href = '../';
      });
    });
  </script>
{% endblock %}